# ThreadMutex_OS2 Class Reference

OS/2 version of ThreadMutex. More...

Inheritance diagram for ThreadMutex_OS2:

## Public Member Functions
void | BeginCritical ()
| Begin the critical section.
void | EndCritical ()
| End of the critical section.
void | WaitForSignal ()
| Wait for a signal to be send.
void | SendSignal ()
| Send a signal and wake the 'thread' that was waiting for it.
## Private Attributes
HMTX | mutex
HEV | event

## Detailed Description

OS/2 version of ThreadMutex.

Definition at line 94 of file thread_os2.cpp.

## Member Function Documentation

void ThreadMutex_OS2::WaitForSignal | ( |  | ) | `[inline, virtual]`

Wait for a signal to be send.

Precondition:
  You must be in the critical section.

Note:
  While waiting the critical section is left.

Postcondition:
  You will be in the critical section.

Implements ThreadMutex.

Definition at line 122 of file thread_os2.cpp.

References BeginCritical(), and EndCritical().

The documentation for this class was generated from the following file:

- src/thread/thread_os2.cpp